Delete DNSSEC
curl --request DELETE \
--url https://api.dev.name.com/core/v1/domains/{domainName}/dnssec/{digest} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/dnssec/{digest}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/dnssec/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "The upstream server is taking too long to respond."
}DNSSECs
Delete DNSSEC
Deletes a DNSSEC record from a domain.
DELETE
/
core
/
v1
/
domains
/
{domainName}
/
dnssec
/
{digest}
Delete DNSSEC
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
DomainName is the domain name the key is registered for.
Digest is the digest for the DNSKEY RR to remove from the registry.
Response
DNSSEC successfully deleted.
Was this page helpful?
⌘I